# App Open

## Integration

To make use of App Open ads, it is needed to request their load at some point inside the app, being recommended to do it as soon as possible. This can be done by using the following code:

```typescript
import { RNWortiseAppOpen } from '@wortise/react-native-sdk';

RNWortiseAppOpen.setAdUnitId('Wortise Ad Unit ID');
RNWortiseAppOpen.loadAd();
```

Next, to show the ad in the desired moment, you can use the `showAd()` and `isAvailable` methods just as shown in the following example:

```typescript
if (await RNWortiseAppOpen.isAvailable) {
    RNWortiseAppOpen.showAd();
}
```

Also, the `RNWortiseAppOpen` class offers the following additional methods to configure its behaviour:

{% hint style="info" %}
These methods must be invoked after calling the `setAdUnitId()` method
{% endhint %}

```typescript
// Sets if a new ad must be loaded after closing the previous one
RNWortiseAppOpen.setAutoReload(true);

// Shows an ad immediately if available. Otherwise, requests the load of a
// new ad
RNWortiseAppOpen.tryToShowAd();
```

## **Listener setup**

Some listeners can be added to receive the different events that may occur during the ad lifecycle. For this, it is needed to use the `addEventListener` method and specify which event type to receive, which can be one of the following:

* `onAppOpenClicked`
* `onAppOpenDismissed`
* `onAppOpenFailedToLoad`
* `onAppOpenFailedToShow`
* `onAppOpenImpression`
* `onAppOpenLoaded`
* `onAppOpenRevenuePaid`
* `onAppOpenShown`

### Example

```typescript
RNWortiseAppOpen.addEventListener('onAppOpenLoaded', () => {
  // The callback will be invoked when an ad is loaded
});
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wortise.com/en/react-native/sdk-integration/app-open.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
